DSA_DUP_DH(3)

NAME
DSA_dup_DH - create a DH structure out of DSA structure

SYNOPSIS
#include <openssl/dsa.h>
DH *
DSA_dup_DH(const DSA *r);

DESCRIPTION
DSA_dup_DH() duplicates DSA parameters/keys as DH parameters/keys. r->q is lost during that conversion, but the resulting DH parameters contain its length.

RETURN VALUES
DSA_dup_DH() returns the new DH structure or NULL on error. The error codes can be obtained by ERR_get_error(3).

SEE ALSO
DH_new(3), DSA_new(3), ERR_get_error(3)

HISTORY
DSA_dup_DH() was added in OpenSSL 0.9.4.

CAVEATS
Be careful to avoid small subgroup attacks when using this.